<div style="margin-top: 20px;">
<div class="row" *ngIf="checkImageLength()">
    <div class="col-md-12">
        <p-galleria [images]="images" panelWidth="100%" frameWidth="100%" showCaption="true" autoPlay="false"></p-galleria>
    </div>
</div>
<div class="row" style="margin-top:10px;">
    <div class="col-md-12">
        <p-panel header="Description" [showHeader]="false" [toggleable]="false">
            <div style="text-align: left;font-size:18px;font-weight:bold;">{{motor.name}}</div>
            <div>Launching: {{motor.dateIntroduction | date : 'dd-MM-yyyy'}}</div>
            <p>{{motor.description}}</p>
        </p-panel>
    </div>
</div>
<div class="row" style="margin-top:10px;">
    <div class="col-md-6">
        <p-panel header="Color" [toggleable]="false">
            <ol type="1" *ngIf="checkColorLength()">
                <li *ngFor="let color of colors; trackBy: trackByFeature">
                    {{color.description}}
                </li>
            </ol>
            <div *ngIf="!checkColorLength()" style="text-align:center;">
                No Data Available
            </div>
        </p-panel>
    </div>
    <div class="col-md-6">
        <p-panel header="Price" [toggleable]="true" [collapsed]="true">
            Rp {{price | number}}
        </p-panel>
    </div>
</div>
<div class="ui-g ui-fluid" style="margin-top: 10px;">
    <div class="ui-g-6 ui-sm-12">
        <button [routerLink]="['/simulasi-credit']" class="btn btn-primary btn-lg btn-block">
            <i class="fa fa-money" aria-hidden="true"></i> {{'mpmApp.simulasiCredit.home.title' | translate}}
        </button>
    </div>
    <div class="ui-g-6 ui-sm-12">
        <button (click)="submitBAST()"class="btn btn-primary btn-lg btn-block">
            <i class="fa fa-angle-right" aria-hidden="true"></i> MINAT
        </button>
    </div>
    <div class="ui-g-6 ui-sm-12">
        <button (click)="previousState()" class="btn btn-primary btn-lg btn-block">
            <i class="fa fa-angle-double-left" aria-hidden="true"></i> {{'entity.action.back' | translate}}
        </button>
    </div>
</div>
</div>
<div style="margin-top: 10px;"></div>

<p-dialog [(visible)]="newProspect" responsive="true" modal="true"  [width]="700">
    <p-header>
        Check Prospect Data
    </p-header>

    <div class="row">
            <div class="col-md-7 col-sm-7">
                <label class="form-control-label" jhiTranslate="mpmApp.person.name" >Nama</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="name" 
                        [(ngModel)]="name">
                </div>
            </div>
        
            <div class="col-md-5 col-sm-5">
                <label class="form-control-label" jhiTranslate="mpmApp.person.cellPhone1" >No Telp</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="cellPhone" 
                        [(ngModel)]="cellPhone" maxlength="13" jhiNumbers>
                </div>
            </div>            
    </div>

    <p-footer>
        <button pButton type="button" 
                label="Find" 
                icon="fa-search"
                (click)="doCheckProspect()"
                [disabled]="name == null || cellPhone == null">
        </button>    
    </p-footer>

</p-dialog>

<p-dialog [(visible)]="findProspect" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Prospect dengan data {{name}} dan {{cellPhone}} sudah ada di dalam system     
         </div>
    </div>

    <p-footer>
        <button pButton type="button" label="Edit" (click)="doEdit()" icon="fa-pencil">
        </button>
        <button pButton type="button"
                (click)="doFollowUp()" 
                label="Follow Up"
                icon="fa-hand-o-right">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findPerson" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Nomor {{cellPhone}} sudah ada di dalam system atas nama {{name}}
        </div>
    </div>

    <p-footer>
        </button>
        <button pButton type="button"
                (click)="backToFind()" 
                label="Kembali">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findNik" closable="true" responsive="true" modal="true">
        <p-header>
            Notifikasi
        </p-header>
    
        <div class="row">
            <div class="col-md-12">
            </div>
        </div>
    
        <p-footer>
            </button>
            <button pButton type="button"
                    (click)="backToFind()" 
                    label="Kembali">
            </button>
        </p-footer>
    </p-dialog>


